System.Web 2.0.0.0 System.Enum

The enumeration describes the type of resource referenced by a virtual path. The is determined from the parsed extension of the resource.

Page and control developers do not use the enumeration directly. Extensibility developers might use the enumeration when extending the class and overriding its method.

Specifies the type of resource referenced by a parsed virtual path.

- Field
  System.Web.UI.VirtualReferenceType

  The parsed virtual path references a master page file.

  2.0.0.0
- Field
  System.Web.UI.VirtualReferenceType

  The parsed virtual path references a resource that is not an ASP.NET page, master page, user control, or language-specific code file.

  2.0.0.0
- Field
  System.Web.UI.VirtualReferenceType

  The parsed virtual path references an ASP.NET page.

  2.0.0.0
- Field
  System.Web.UI.VirtualReferenceType

  The parsed virtual path references a code file that is compiled using a specific language compiler.

  2.0.0.0
- Field
  System.Web.UI.VirtualReferenceType

  The parsed virtual path references an ASP.NET user control.

  2.0.0.0